# Utility Functions

Utility functions for design and analysis of vibration controller for AO systems.

<!----------------------------------------------------------------------------->
## Basic utility functions

1. [`search_integrator_params.m`](search_integrator_params.m)
    &rightarrow; To run grid search on integrator parameters

2. [`save_optimised_integrator_params.m`](save_optimised_integrator_params.m)
    &rightarrow; To save optimised integrator parameters

3. [`search_datadriven_params.m`](search_datadriven_params.m)
    &rightarrow; To run grid search on datadriven controller parameters

4. [`save_optimised_datadriven_params.m`](save_optimised_datadriven_params.m)
    &rightarrow; To save optimised datadriven controller parameters

5. [`varying_atmospheric_study.m`](varying_atmospheric_study.m)
    &rightarrow; To study the effect of varying atmospheric disturbance on the controller performance.

<!----------------------------------------------------------------------------->
## Complete Usage Instructions

Refer to [example_script README](../example_scripts/README.md) for complete usage instructions.
